I am trying to install mySql 2.8.1 version in my Mac which runs with Mountain Lion but the problem is it’s throwing some error saying “Gem:Installer::ExtensionBuilderError:ERROR:Failed to build gem native extension”.

What this error about? Is it a problem with the Mac OS? or something else? What should I do to fix this problem now? Please help.